Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class YAxisInfo

    java.lang.Object
      jet.report.xls.AxisInfo
          jet.report.xls.YAxisInfo

    public class YAxisInfo

extends AxisInfo

contains the information of chart axis in the file.

Field Summary
`static short` | `AUTOCROSS`
`static short` | `AUTOMAJOR`
`static short` | `AUTOMAX`
`static short` | `AUTOMIN`
`static short` | `AUTOMINOR`
`static byte` | `CROSS`
`static byte` | `INSIDE`
`static short` | `LOGSCALE`
`static short` | `MAXCROSS`
`static byte` | `NONE`
`static byte` | `OUTSIDE`
`static short` | `REVERSE`

Constructor Summary
`YAxisInfo()`
`YAxisInfo(LineFormatInfo axisLine, FontInfo labelInfo, byte tickType, short n, boolean showLabel, double maxValue, double minValue, double crossValue)` Constructs a AxisInfo class and sets its fields appropriately.

Method Summary
`double` | `getCrossValue()` gets cross value of y axis
`double` | `getIncrement()` gets increment y axis
`double` | `getMaxValue()` gets maximum value of y axis
`double` | `getMinValue()` gets minimum value of y axis
`boolean` | `isAutoCross()` get whether to selected automatic cross value
`boolean` | `isAutoMajor()` get whether to selected automatic major unit
`boolean` | `isAutoMax()` get whether to selected automatic maximum
`boolean` | `isAutoMin()` get whether to selected automatic minimum
`boolean` | `isAutoMinor()` get whether to selected automatic minor unit
`void` | `setAutoCross(boolean b)` set whether to selected automatic cross value
`void` | `setAutoMajor(boolean b)` set whether to selected automatic major unit
`void` | `setAutoMax(boolean b)` set whether to selected automatic maximum
`void` | `setAutoMin(boolean b)` set whether to selected automatic minimum
`void` | `setAutoMinor(boolean b)` set whether to selected automatic minor unit
`void` | `setCrossValue(double value)` sets cross value of y axis
`void` | `setIncrement(double inc)` sets increment y axis
`void` | `setMaxValue(double max)` sets maximum value of y axis
`void` | `setMinValue(double min)` sets minimum value of y axis

Methods inherited from class jet.report.xls.AxisInfo
`getAxisLine, getLabelInfo, getNTick, getShowLabel, getTickType, setAxisLine, setLabelInfo, setNTick, setShowLabel, setTickType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONE

    public static final byte NONE

See Also:
  Constant Field Values

### INSIDE

    public static final byte INSIDE

See Also:
  Constant Field Values

### OUTSIDE

    public static final byte OUTSIDE

See Also:
  Constant Field Values

### CROSS

    public static final byte CROSS

See Also:
  Constant Field Values

### AUTOMIN

    public static final short AUTOMIN

See Also:
  Constant Field Values

### AUTOMAX

    public static final short AUTOMAX

See Also:
  Constant Field Values

### AUTOMAJOR

    public static final short AUTOMAJOR

See Also:
  Constant Field Values

### AUTOMINOR

    public static final short AUTOMINOR

See Also:
  Constant Field Values

### AUTOCROSS

    public static final short AUTOCROSS

See Also:
  Constant Field Values

### LOGSCALE

    public static final short LOGSCALE

See Also:
  Constant Field Values

### REVERSE

    public static final short REVERSE

See Also:
  Constant Field Values

### MAXCROSS

    public static final short MAXCROSS

See Also:
  Constant Field Values

Constructor Detail

### YAxisInfo

    public YAxisInfo()

### YAxisInfo

    public YAxisInfo(LineFormatInfo axisLine,
                     FontInfo labelInfo,
                     byte tickType,
                     short n,
                     boolean showLabel,
                     double maxValue,
                     double minValue,
                     double crossValue)

  Constructs a AxisInfo class and sets its fields appropriately.

  Parameters:
    `axisLine` - Information of axis line
    `labelInfo` - Information of label
    `tickType` - Type of tick mark
    `n` - Show a label every n tick mark
    `showLabel` - Show label or not
    `maxValue` - Max value of the axis
    `minValue` - Min value of the axis
    `crossValue` - The value of cross axis

Method Detail

### setMaxValue

    public void setMaxValue(double max)

  sets maximum value of y axis

  Parameters:
    `max` - Maximum value of y axis

### getMaxValue

    public double getMaxValue()

  gets maximum value of y axis

  Returns:
    maximum value of y axis

### setMinValue

    public void setMinValue(double min)

  sets minimum value of y axis

  Parameters:
    `min` - Minimum value of y axis

### getMinValue

    public double getMinValue()

  gets minimum value of y axis

  Returns:
    minimum value of y axis

### setIncrement

    public void setIncrement(double inc)

  sets increment y axis

  Parameters:
    `inc` - increment y axis

### getIncrement

    public double getIncrement()

  gets increment y axis

  Returns:
    increment y axis

### setCrossValue

    public void setCrossValue(double value)

  sets cross value of y axis

  Parameters:
    `value` - Cross value of y axis

### getCrossValue

    public double getCrossValue()

  gets cross value of y axis

  Returns:
    cross value of y axis

### isAutoMin

    public boolean isAutoMin()

  get whether to selected automatic minimum

  Returns:
    whether to selected automatic minimum or not

### setAutoMin

    public void setAutoMin(boolean b)

  set whether to selected automatic minimum

  Parameters:
    `b` - - selected automatic minimum or not

### isAutoMax

    public boolean isAutoMax()

  get whether to selected automatic maximum

  Returns:
    whether to selected automatic maximum or not

### setAutoMax

    public void setAutoMax(boolean b)

  set whether to selected automatic maximum

  Parameters:
    `b` - - selected automatic maximum or not

### isAutoMajor

    public boolean isAutoMajor()

  get whether to selected automatic major unit

  Returns:
    whether to selected automatic major unit or not

### setAutoMajor

    public void setAutoMajor(boolean b)

  set whether to selected automatic major unit

  Parameters:
    `b` - - selected automatic major unit or not

### isAutoMinor

    public boolean isAutoMinor()

  get whether to selected automatic minor unit

  Returns:
    whether to selected automatic minor unit or not

### setAutoMinor

    public void setAutoMinor(boolean b)

  set whether to selected automatic minor unit

  Parameters:
    `b` - - selected automatic minor unit or not

### isAutoCross

    public boolean isAutoCross()

  get whether to selected automatic cross value

  Returns:
    whether to selected automatic cross value or not

### setAutoCross

    public void setAutoCross(boolean b)

  set whether to selected automatic cross value

  Parameters:
    `b` - - selected automatic cross value or not

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD